scala.collection.convert

# WrapAsJava

#### object WrapAsJava extends WrapAsJava

Source
  WrapAsJava.scala

Linear Supertypes
WrapAsJava, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WrapAsJava
2. WrapAsJava
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### implicit def asJavaCollection[A](it: Iterable[A]): Collection[A]

   Implicitly converts a Scala Iterable to an immutable Java Collection.

   Implicitly converts a Scala Iterable to an immutable Java Collection.

   If the Scala Iterable was previously obtained from an implicit or explicit call of `asSizedIterable(java.util.Collection)` then the original Java Collection will be returned.

   it

     The SizedIterable to be converted.

   returns

     A Java Collection view of the argument.

   Definition Classes
     WrapAsJava

6. #### implicit def asJavaDictionary[A, B](m: mutable.Map[A, B]): Dictionary[A, B]

   Implicitly converts a Scala mutable `Map` to a Java `Dictionary`.

   Implicitly converts a Scala mutable `Map` to a Java `Dictionary`.

   The returned Java `Dictionary` is backed by the provided Scala `Dictionary` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala `Dictionary` was previously obtained from an implicit or explicit call of `asMap(java.util.Dictionary)` then the original Java Dictionary will be returned.

   m

     The `Map` to be converted.

   returns

     A Java `Dictionary` view of the argument.

   Definition Classes
     WrapAsJava

7. #### implicit def asJavaEnumeration[A](it: Iterator[A]): java.util.Enumeration[A]

   Implicitly converts a Scala Iterator to a Java Enumeration.

   Implicitly converts a Scala Iterator to a Java Enumeration. The returned Java Enumeration is backed by the provided Scala Iterator and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala Iterator was previously obtained from an implicit or explicit call of `asIterator(java.util.Enumeration)` then the original Java Enumeration will be returned.

   it

     The Iterator to be converted.

   returns

     A Java Enumeration view of the argument.

   Definition Classes
     WrapAsJava

8. #### implicit def asJavaIterable[A](i: Iterable[A]): java.lang.Iterable[A]

   Implicitly converts a Scala Iterable to a Java Iterable.

   Implicitly converts a Scala Iterable to a Java Iterable. The returned Java Iterable is backed by the provided Scala Iterable and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala Iterable was previously obtained from an implicit or explicit call of `asIterable(java.lang.Iterable)` then the original Java Iterable will be returned.

   i

     The Iterable to be converted.

   returns

     A Java Iterable view of the argument.

   Definition Classes
     WrapAsJava

9. #### implicit def asJavaIterator[A](it: Iterator[A]): java.util.Iterator[A]

   Implicitly converts a Scala Iterator to a Java Iterator.

   Implicitly converts a Scala Iterator to a Java Iterator. The returned Java Iterator is backed by the provided Scala Iterator and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

   If the Scala Iterator was previously obtained from an implicit or explicit call of `asIterator(java.util.Iterator)` then the original Java Iterator will be returned.

   it

     The Iterator to be converted.

   returns

     A Java Iterator view of the argument.

   Definition Classes
     WrapAsJava

10. #### implicit def bufferAsJavaList[A](b: Buffer[A]): java.util.List[A]

    Implicitly converts a Scala mutable Buffer to a Java List.

    Implicitly converts a Scala mutable Buffer to a Java List. The returned Java List is backed by the provided Scala Buffer and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Buffer was previously obtained from an implicit or explicit call of `asBuffer(java.util.List)` then the original Java List will be returned.

    b

      The Buffer to be converted.

    returns

      A Java List view of the argument.

    Definition Classes
      WrapAsJava

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### implicit def mapAsJavaConcurrentMap[A, B](m: concurrent.Map[A, B]): ConcurrentMap[A, B]

    Implicitly converts a Scala mutable `concurrent.Map` to a Java `ConcurrentMap`.

    Implicitly converts a Scala mutable `concurrent.Map` to a Java `ConcurrentMap`.

    The returned Java `ConcurrentMap` is backed by the provided Scala `concurrent.Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `concurrent.Map` was previously obtained from an implicit or explicit call of `mapAsScalaConcurrentMap(java.util.concurrent.ConcurrentMap)` then the original Java ConcurrentMap will be returned.

    m

      The Scala `concurrent.Map` to be converted.

    returns

      A Java `ConcurrentMap` view of the argument.

    Definition Classes
      WrapAsJava

19. #### implicit def mapAsJavaMap[A, B](m: Map[A, B]): java.util.Map[A, B]

    Implicitly converts a Scala `Map` to a Java `Map`.

    Implicitly converts a Scala `Map` to a Java `Map`.

    The returned Java `Map` is backed by the provided Scala `Map` and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala `Map` was previously obtained from an implicit or explicit call of `asMap(java.util.Map)` then the original Java `Map` will be returned.

    m

      The `Map` to be converted.

    returns

      A Java `Map` view of the argument.

    Definition Classes
      WrapAsJava

20. #### implicit def mutableMapAsJavaMap[A, B](m: mutable.Map[A, B]): java.util.Map[A, B]

    Implicitly converts a Scala mutable Map to a Java Map.

    Implicitly converts a Scala mutable Map to a Java Map. The returned Java Map is backed by the provided Scala Map and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Map was previously obtained from an implicit or explicit call of `asMap(java.util.Map)` then the original Java Map will be returned.

    m

      The Map to be converted.

    returns

      A Java Map view of the argument.

    Definition Classes
      WrapAsJava

21. #### implicit def mutableSeqAsJavaList[A](seq: mutable.Seq[A]): java.util.List[A]

    Implicitly converts a Scala mutable Seq to a Java List.

    Implicitly converts a Scala mutable Seq to a Java List. The returned Java List is backed by the provided Scala Seq and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Seq was previously obtained from an implicit or explicit call of `asSeq(java.util.List)` then the original Java List will be returned.

    seq

      The Seq to be converted.

    returns

      A Java List view of the argument.

    Definition Classes
      WrapAsJava

22. #### implicit def mutableSetAsJavaSet[A](s: mutable.Set[A]): java.util.Set[A]

    Implicitly converts a Scala mutable Set to a Java Set.

    Implicitly converts a Scala mutable Set to a Java Set. The returned Java Set is backed by the provided Scala Set and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Set was previously obtained from an implicit or explicit call of `asSet(java.util.Set)` then the original Java Set will be returned.

    s

      The Set to be converted.

    returns

      A Java Set view of the argument.

    Definition Classes
      WrapAsJava

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### implicit def seqAsJavaList[A](seq: Seq[A]): java.util.List[A]

    Implicitly converts a Scala Seq to a Java List.

    Implicitly converts a Scala Seq to a Java List. The returned Java List is backed by the provided Scala Seq and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Seq was previously obtained from an implicit or explicit call of `asSeq(java.util.List)` then the original Java List will be returned.

    seq

      The Seq to be converted.

    returns

      A Java List view of the argument.

    Definition Classes
      WrapAsJava

27. #### implicit def setAsJavaSet[A](s: Set[A]): java.util.Set[A]

    Implicitly converts a Scala Set to a Java Set.

    Implicitly converts a Scala Set to a Java Set. The returned Java Set is backed by the provided Scala Set and any side-effects of using it via the Java interface will be visible via the Scala interface and vice versa.

    If the Scala Set was previously obtained from an implicit or explicit call of asSet(java.util.Set) then the original Java Set will be returned.

    s

      The Set to be converted.

    returns

      A Java Set view of the argument.

    Definition Classes
      WrapAsJava

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from WrapAsJava

### Inherited from AnyRef

### Inherited from Any

### Ungrouped